> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/model-registry-service/get-profile/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get a provider profile GET https://example.itential.io/model-registry-service/profiles/{id} Returns a single provider profile by ID. Credentials are always masked. Reference: https://docs.itential.com/itential-cloud/api-reference/model-registry-service/get-profile ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `id` (string, required) — The provider profile ID. ## Response ### 200 The provider profile. - `id` (string, required) - `name` (string, required) - `provider` (string, required) - `credential` (object, required) - `type` (enum, required) - Allowed values: `api-key`, `oauth-m2m`, `iamRole`, `none`, `managed` - `masked` (true, required) - `baseUrl` (string, optional) - `models` (list of object, required) - `id` (string, required) - `name` (string, required) - `enabled` (boolean, required) - `status` (enum, required) - Allowed values: `active`, `disabled`, `deprecated` - `modelVariables` (object, optional) - `builderGroups` (list of object, required) - `id` (string, required) - `provenance` (string, required) - `name` (string, required) - `agentCount` (double, required) - `createdAt` (string, required) - `updatedAt` (string, required) - `createdBy` (string, required) - `updatedBy` (string, required) - `gatewayCluster` (string, optional) - `credentialAuthType` (string, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "id": "string", "name": "string", "provider": "string", "credential": { "type": "api-key", "masked": true, "baseUrl": "string" }, "models": [ { "id": "string", "name": "string", "enabled": true, "status": "active", "modelVariables": {} } ], "builderGroups": [ { "id": "string", "provenance": "string", "name": "string" } ], "agentCount": 1.1, "createdAt": "string", "updatedAt": "string", "createdBy": "string", "updatedBy": "string", "gatewayCluster": "string", "credentialAuthType": "string" } ``` **SDK Code** ```python import requests url = "https://example.itential.io/model-registry-service/profiles/id" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/model-registry-service/profiles/id'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/model-registry-service/profiles/id" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/model-registry-service/profiles/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/model-registry-service/profiles/id") .asString(); ``` ```php request('GET', 'https://example.itential.io/model-registry-service/profiles/id'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/model-registry-service/profiles/id"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/model-registry-service/profiles/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```